//=============================================================================
// Plugin for RPG Maker MZ
// DrawCharAtMenu.js
//=============================================================================
/*:
 * @target MZ
 * @plugindesc At Menu Scene, Replace Face With Character Graphic
 * @author Sasuke KANNAZUKI
 *
 * @help This plugin does not provide plugin commands.
 * This plugin runs under RPG Maker MZ.
 * This plugin replaces face graphic with character's one.
 *
 * [Summary]
 * This plugin replaces all face graphics on menu such as status, equip,
 * and so on.
 * It doesn't replace face graphic in message window and so on.
 *
 * [License]
 * this plugin is released under MIT license.
 * http://opensource.org/licenses/mit-license.php
 */

/*:ja
 * @target MZ
 * @plugindesc メニューで顔グラフィックの代わりに歩行グラフィックを表示
 * @author 神無月サスケ
 *
 * @help このプラグインには、プラグインコマンドはありません。
 * このプラグインは、RPGツクールMZに対応しています。
 * このプラグインは、メニューで顔グラフィックの代わりに歩行グラフィックを
 * 表示します。
 * メッセージウィンドウの顔グラフィックは置き換わりません。
 *
 * ■概要
 * メニュー画面の装備やスキルなど、全ての顔グラフィックが
 * 歩行グラフィックに置き換わります。
 *
 * ■ライセンス表記
 * このプラグインは MIT ライセンスで配布されます。
 * ご自由にお使いください。
 * http://opensource.org/licenses/mit-license.php
 */

(() => {
  Window_StatusBase.prototype.drawActorFace = function(actor, x, y, w, h) {
    w = w || ImageManager.faceWidth;
    h = h || ImageManager.faceHeight;
    const x2 = Math.floor(x + w / 2);
    const y2 = y + Math.floor(h * 3 / 4);
    this.drawActorCharacter(actor, x2, y2);
  };
})();
